Module org.jfree.chart3d
Package org.jfree.chart3d.graphics2d

# Enum Class TextAnchor

java.lang.Object
java.lang.Enum<TextAnchor>
org.jfree.chart3d.graphics2d.TextAnchor

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAnchor>`, `Constable`

public enum TextAnchor extends Enum<TextAnchor>
Used to indicate the position of an anchor point for a text string. This is frequently used to align a string to a fixed point in some coordinate space.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASELINE_CENTER`
Baseline/center.
`BASELINE_LEFT`
Baseline/left.
`BASELINE_RIGHT`
Baseline/right.
`BOTTOM_CENTER`
Bottom/center.
`BOTTOM_LEFT`
Bottom/left.
`BOTTOM_RIGHT`
Bottom/right.
`CENTER`
Middle/center.
`CENTER_LEFT`
Middle/left.
`CENTER_RIGHT`
Middle/right.
`HALF_ASCENT_CENTER`
Half-ascent/center.
`HALF_ASCENT_LEFT`
Half-ascent/left.
`HALF_ASCENT_RIGHT`
Half-ascent/right.
`TOP_CENTER`
Top/center.
`TOP_LEFT`
Top/left.
`TOP_RIGHT`
Top/right.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBaseline()`
Returns `true` if this anchor is at the baseline level of the text bounds, and `false` otherwise.
`boolean`
`isBottom()`
Returns `true` if this anchor is at the bottom of the text bounds, and `false` otherwise.
`boolean`
`isHalfAscent()`
Returns `true` if this anchor is at the half-ascent level of the text bounds, and `false` otherwise.
`boolean`
`isHalfHeight()`
Returns `true` if this anchor is at the half-height level of the text bounds, and `false` otherwise.
`boolean`
`isHorizontalCenter()`
Returns `true` if this anchor is horizontally at the center of the text bounds, and `false` otherwise.
`boolean`
`isLeft()`
Returns `true` if this anchor is at the left side of the text bounds, and `false` otherwise.
`boolean`
`isRight()`
Returns `true` if this anchor is at the right side of the text bounds, and `false` otherwise.
`boolean`
`isTop()`
Returns `true` if this anchor is at the top of the text bounds, and `false` otherwise.
`String`
`toString()`
Returns a string representing the object.
`static TextAnchor`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextAnchor[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP_LEFT

public static final TextAnchor TOP_LEFT
Top/left.

### TOP_CENTER

public static final TextAnchor TOP_CENTER
Top/center.

### TOP_RIGHT

public static final TextAnchor TOP_RIGHT
Top/right.

### HALF_ASCENT_LEFT

public static final TextAnchor HALF_ASCENT_LEFT
Half-ascent/left.

### HALF_ASCENT_CENTER

public static final TextAnchor HALF_ASCENT_CENTER
Half-ascent/center.

### HALF_ASCENT_RIGHT

public static final TextAnchor HALF_ASCENT_RIGHT
Half-ascent/right.

### CENTER_LEFT

public static final TextAnchor CENTER_LEFT
Middle/left.

### CENTER

public static final TextAnchor CENTER
Middle/center.

### CENTER_RIGHT

public static final TextAnchor CENTER_RIGHT
Middle/right.

### BASELINE_LEFT

public static final TextAnchor BASELINE_LEFT
Baseline/left.

### BASELINE_CENTER

public static final TextAnchor BASELINE_CENTER
Baseline/center.

### BASELINE_RIGHT

public static final TextAnchor BASELINE_RIGHT
Baseline/right.

### BOTTOM_LEFT

public static final TextAnchor BOTTOM_LEFT
Bottom/left.

### BOTTOM_CENTER

public static final TextAnchor BOTTOM_CENTER
Bottom/center.

### BOTTOM_RIGHT

public static final TextAnchor BOTTOM_RIGHT
Bottom/right.

## Method Details

### values

public static TextAnchor[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TextAnchor valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLeft

public boolean isLeft()
Returns `true` if this anchor is at the left side of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isHorizontalCenter

public boolean isHorizontalCenter()
Returns `true` if this anchor is horizontally at the center of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isRight

public boolean isRight()
Returns `true` if this anchor is at the right side of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isTop

public boolean isTop()
Returns `true` if this anchor is at the top of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isHalfAscent

public boolean isHalfAscent()
Returns `true` if this anchor is at the half-ascent level of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isHalfHeight

public boolean isHalfHeight()
Returns `true` if this anchor is at the half-height level of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isBaseline

public boolean isBaseline()
Returns `true` if this anchor is at the baseline level of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### isBottom

public boolean isBottom()
Returns `true` if this anchor is at the bottom of the text bounds, and `false` otherwise.

Returns:
  A boolean.

### toString

public String toString()
Returns a string representing the object.

Overrides:
  `toString` in class `Enum<TextAnchor>`
Returns:
  The string.